diff --git a/NEWS b/NEWS
index 050955d207f5..6a4a49b1cfb1 100644
--- a/NEWS
+++ b/NEWS
@@ -7,6 +7,7 @@ PHP                                                                        NEWS
     value(s)). (nielsdos)
   . Fixed bug GH-11189 (Exceeding memory limit in zend_hash_do_resize leaves
     the array in an invalid state). (Bob)
+  . Fixed bug GH-11063 (Compilation error on old GCC versions). (ingamedeo)
 
 - Hash:
   . Fixed bug GH-11180 (hash_file() appears to be restricted to 3 arguments).
diff --git a/Zend/zend_hash.c b/Zend/zend_hash.c
index 49c0df614369..58e5b40d0505 100644
--- a/Zend/zend_hash.c
+++ b/Zend/zend_hash.c
@@ -240,7 +240,7 @@ ZEND_API const HashTable zend_empty_array = {
 	.gc.u.type_info = IS_ARRAY | (GC_IMMUTABLE << GC_FLAGS_SHIFT),
 	.u.flags = HASH_FLAG_UNINITIALIZED,
 	.nTableMask = HT_MIN_MASK,
-	.arData = (Bucket*)&uninitialized_bucket[2],
+	{.arData = (Bucket*)&uninitialized_bucket[2]},
 	.nNumUsed = 0,
 	.nNumOfElements = 0,
 	.nTableSize = HT_MIN_SIZE,
